We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Toggle Switch Button component is a custom HTML5 input-type checkbox component that allows you to perform a toggle (on/off) action between checked and unchecked states. It supports different sizes, labels, label positions, and UI customization.


Toggle ON-OFF States

A single switch consists of a toggle state that can be checked and unchecked. To prevent the toggling of switch value, you can make use of disable option.


Change Switch Size

You can make use of different switch sizes, default and small, as required in your application.


Custom Switch labels, colors and width

The appearance of the Angular Toggle Switch Button component (bar and handle) can be fully customized. A switch can contain text to represent checked/unchecked states (ON/OFF). The look and feel of the switch can be changed to

  • Windows Switch
  • iOS Switch
  • Android Switch

Forms support

Seamlessly supports HTML forms, template-driven forms (Angular), and reactive forms.


Angular Toggle Switch Button Example

Easily get started with the Angular Toggle Switch Button using a few simple lines of HTML and TS code example as demonstrated below. Also explore the Angular Toggle Switch Button example that shows how to render and configure the Toggle Switch Button in Angular.

<div class="control-section">
<ejs-switch [checked]="true"></ejs-switch>`
</div>
import { Component, Inject, ViewEncapsulation } from '@angular/core';
import { SwitchModule } from '@syncfusion/ej2-angular-buttons';

@Component({
    selector: 'control-content',
    templateUrl: 'default.html',
    encapsulation: ViewEncapsulation.None
})
export class DefaultToggleSwitchButtonController {

    }

Other supported frameworks

Switch is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Switch platforms from the links below,


Angular version compatibility

With continuous improvement in Angular versions, the Angular Toggle Switch Button is kept up to date to make it compatible with the latest version.


Built-in themes

Angular Toggle Switch Button supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.

Angular Toggle Switch Button In Various Themes


Web Accessibility

  • Fully supports WAI-ARIA accessibility to work with on-screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • In Switch, Space key toggle states between checked and unchecked.
  • The UI element visuals such as foreground color, background color, line spacing, text, and images are designed based on WCAG 2.0.
  • The Toggle Switch Button supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.



80+ ANGULAR UI COMPONENTS

Frequently Asked Questions

Syncfusion Angular Toggle Switch Button provides the following features:

  • Toggling between checked and unchecked states.
  • Support for different sizes, labels, and label positions.
  • Rich UI interaction and UI customization.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Touch-friendly and responsive UI.
  • One of the best Angular Toggle Switch Button in the market that offers feature-rich UI to interact with the software.
  • Extensive demos and documentation to learn quickly and get started with Angular Toggle Switch Button.

You can find our Angular Toggle Switch Button demo here.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon
Live Chat Icon For mobile

Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Toggle Switch Button component is a custom HTML5 input-type checkbox component that allows you to perform a toggle (on/off) action between checked and unchecked states. It supports different sizes, labels, label positions, and UI customization.


Toggle ON-OFF States

A single switch consists of a toggle state that can be checked and unchecked. To prevent the toggling of switch value, you can make use of disable option.


Change Switch Size

You can make use of different switch sizes, default and small, as required in your application.


Custom Switch labels, colors and width

The appearance of the React Toggle Switch Button component (bar and handle) can be fully customized. A switch can contain text to represent checked/unchecked states (ON/OFF). The look and feel of the switch can be changed to

  • Windows Switch
  • iOS Switch
  • Android Switch

Forms support

Seamlessly supports HTML forms, template-driven forms (Angular), and reactive forms.


Other supported frameworks

The Toggle Switch Button component is also available in Blazor, Vue, Angular, and JavaScript frameworks. Check out the different Toggle Switch Button platforms from the links below,


Built-in themes

React Toggle Switch Button supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.

React Toggle Switch Button In Various Themes


Web Accessibility

  • Fully supports WAI-ARIA accessibility to work with on-screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • In Switch, Space key toggle states between checked and unchecked.
  • The UI element visuals such as foreground color, background color, line spacing, text, and images are designed based on WCAG 2.0.
  • The Toggle Switch Button supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

React Toggle Switch Button Code Example

Easily get started with the React Toggle Switch Button using a few simple lines of TSX code example as demonstrated below. Also explore our React Toggle Switch Button Example that shows you how to render and configure a Toggle Switch Button in React.

  1. // Import the Switch.
  2. import { SwitchComponent } from '@syncfusion/ej2-react-buttons';
  3. import * as React from 'react';
  4. import './App.css';
  5. // To render Switch.
  6. export default class App extends React.Component {
  7. render() {
  8. return (<SwitchComponent />);
  9. }
  10. }

90+ REACT UI COMPONENTS

Frequently Asked Questions

  • Toggling between checked and unchecked states.
  • Support for different sizes, labels, and label positions.
  • Rich UI interaction and UI customization.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Touch-friendly and responsive UI.
  • One of the best React Toggle Switch Button in the market that offers feature-rich UI to interact with the software.
  • Extensive demos and documentation to learn quickly and get started with React Toggle Switch Button.

We do not sell the React Toggle Switch Button separately. It is only available for purchase as part of the Syncfusion team license. This contains over 1,900 components and frameworks, including the React Toggle Switch Button. The price of the team license starts at $395 per month for 5 developers, and includes support and updates until the subscription expires. In addition, we might offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

You can find our React Toggle Switch Button demo here.

No, our 1,900+ components and frameworks for web, mobile, and desktop, including our React Toggle Switch Button, are not sold individually. They are only available as part of a team license. However, we have competitively priced the product, so it only costs a little bit more than what some other vendors charge for their Toggle Switch Button component alone. We have also found that, in our experience, our customers usually start off using one of our products and then expand to several products quickly, so we felt it was best to offer all 1,900+ components and frameworks for a subscription fee that starts at $395 per month for a team of 5 developers. Additionally, we might be able to offer discounts based on currently active promotions. Please contact our product specialists today to see if you qualify for any additional discounts.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue, 5 or fewer developers, and 10 or fewer total employees.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us